#!/bin/sh

if [ ! -f /var/run/boot_complete ]; then
	exit 0
fi

if [ -f /etc/bbfdm/dmmap/PPP ]; then
	rm -f /etc/bbfdm/dmmap/PPP
fi

if [ -f /etc/bbfdm/dmmap/IP ]; then
	rm -f /etc/bbfdm/dmmap/IP
fi

if [ -f /etc/bbfdm/dmmap/Ethernet ]; then
	rm -f /etc/bbfdm/dmmap/Ethernet
fi

if [ -f /etc/bbfdm/dmmap/dmmap_firewall ]; then
	rm -f /etc/bbfdm/dmmap/dmmap_firewall
fi

if [ -f /etc/bbfdm/dmmap/DHCPv4 ]; then
	rm -f /etc/bbfdm/dmmap/DHCPv4
fi

if [ -f /etc/bbfdm/dmmap/DHCPv6 ]; then
	rm -f /etc/bbfdm/dmmap/DHCPv6
fi

if [ -f /etc/bbfdm/dmmap/dmmap_mcast ]; then
	rm -f /etc/bbfdm/dmmap/dmmap_dns
fi

if [ -f /etc/bbfdm/dmmap/Ethernet ]; then
	rm -f /etc/bbfdm/dmmap/Ethernet
fi

if [ -f /etc/bbfdm/dmmap/dmmap_bridge ]; then
	rm -f /etc/bbfdm/dmmap/dmmap_bridge
fi

if [ -f /etc/bbfdm/dmmap/dmmap_bridge_vlanport ]; then
	rm -f /etc/bbfdm/dmmap/dmmap_bridge_vlanport
fi

if [ -f /etc/bbfdm/dmmap/dmmap_bridge_vlan ]; then
	rm -f /etc/bbfdm/dmmap/dmmap_bridge_vlan
fi

if [ -f /etc/bbfdm/dmmap/dmmap_bridge_port ]; then
	rm -f /etc/bbfdm/dmmap/dmmap_bridge_port
fi

sleep 5

reboot -f
